#
# spec file for package xfce4-panel-plugin-pulseaudio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.11.0
%define plugin_name xfce4-pulseaudio-plugin

Name:           xfce4-panel-plugin-pulseaudio
Version:        0.4.0
Release:        lp150.1.1
Summary:        Pulseaudio Volume Control Plugin for the Xfce Panel
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Mixers
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-pulseaudio-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/0.4/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  intltool
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(glib-2.0) >= 2.42.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20.0
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 0.9.19
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= 4.11.0
BuildRequires:  pkgconfig(libxfce4ui-2) >= 4.11.0
BuildRequires:  pkgconfig(libxfce4util-1.0) >= 4.9.0
BuildRequires:  pkgconfig(libxfconf-0) >= 4.6.0
# optional requirements
BuildRequires:  pkgconfig(gio-2.0) >= 2.42
BuildRequires:  pkgconfig(keybinder-3.0) >= 0.2.2
BuildRequires:  pkgconfig(libnotify) >= 0.7.0
BuildRequires:  pkgconfig(libwnck-3.0) >= 3.20
Requires:       pulseaudio
Requires:       xfce4-panel >= %{panel_version}
Recommends:     pavucontrol
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xfce4-pulseaudio-plugin is a panel plugin for controlling an audio
output volume of the PulseAudio mixer. The volume can be adjusted using
keyboard shortcuts, mouse wheel, a slider in a popup menu, or via
a linked external audio mixer tool.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%if 0%{?suse_version} < 1330
## LEAP 42.x complains about "for (int i=0; ...)"
export CFLAGS="%{optflags} -std=c99"
%endif
%configure
make %{?_smp_mflags} V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.la

%find_lang %{plugin_name} %{?no_lang_C}

%if 0%{?suse_version} < 1500
%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.so
%{_datadir}/xfce4/panel/plugins/pulseaudio.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*

%files lang -f %{plugin_name}.lang

%changelog
* Sat Mar 24 2018 seife+obs@b1-systems.com
- update to version 0.4.0: Stable Release!
  * Use correct player names and icons in media player preferences
  * Translation Updates
* Fri Mar  2 2018 seife+obs@b1-systems.com
- update to version 0.3.5:
  * New Feature: Move streams on default output device change (bxo#14157)
  - Prior to this update, when a new output device was selected, any
    existing streams had to be moved using pavucontrol. This change
    automatically moves any active output streams to the newly
    selected device.
  * New Feature: Management of known MPRIS2 players (bxo#13903)
  - Known players can now be cleared or selectively hidden from the menu.
  * Bug Fixes:
  - Wait for the pulseaudio volume sink to be connected to get the
    current volume state at startup (bxo#14071, bxo#13677)
  - MPRIS2: stale data retained after Metadata signal (bxo#14068)
  * Translation Updates
* Sun Dec 10 2017 seife+obs@b1-systems.com
- update to version 0.3.4:
  * New Feature: MPRIS Playlist Support
  - Implements the org.mpris.MediaPlayer2.Playlists specification.
  - The most recent 5 playlists are displayed (if supported by the player).
  * New Feature: Experimental libwnck Support
  - Some media players do not support the Raise method. This optional
    feature attempts to raise windows by their title.
  * General:
  - Unexpected error messages sent via DBUS are now handled gracefully.
  - Numerous memory leaks patched.
  * Translation Updates
* Tue Nov 28 2017 seife+obs@b1-systems.com
- update to version 0.3.3:
  * New Feature: Multimedia Key Support
  - Integrates with the recently added MPRIS2 support
  - Extends multimedia key support to all MPRIS2-enabled media players
  * General:
  - Simplified device menus
  - Improved default volume scale increments (steps of 5, max of 150)
  - More code cleanup, dropping unused IDO functions
  * Bug Fixes:
  - bxo#13677: Show volume change notifications when changed with
    another application
  - bxo#13908: Change default device when changed with another application
  - bxo#13961: Fix flag in g_bus_watch_name_on_connection() method
  - bxo#13998: Fix plugin size calculation with multiple rows
  * Translation Updates
* Fri Nov 10 2017 seife+obs@b1-systems.com
- update to version 0.3.2:
  - Replace deprecated notify_notification_set_hint calls
  - Fix build with clang (bxo#13889)
  - Fix panel icon size with high DPI (bxo#13894)
  - Translation Updates
* Tue Oct  3 2017 seife+obs@b1-systems.com
- update to version 0.3.1:
  - New Features:
  - Device Management
  - Switch active audio input and output devices
  - Control volume of the currently selected device
  - Without input or output devices, the menu items are hidden
  - Does not change the device associated with active streams
  - Add audio input volume to plugin menu
  - Add (optional) MPRIS2 media player controls
  - Add support for the XF86AudioMicMute key
  - Update help links to the new docs.xfce.org startpage
  - Set the transient hint for volume and mic notifications
  - General:
  - Fixed build warnings with gcc-7
  - Improved code quality with the custom widgets
  - Improved memory management
  - Simplified audio volume controls
  - Updated credits and copyright notice
  - Translation Updates
* Sat Jul  8 2017 seife+obs@b1-systems.com
- update to version 0.2.5:
  - no upstream changelog
  - added translations
- add -lang package
* Sun Feb 26 2017 tiwai@suse.de
- Add pavucontrol to recommends, as it's invoked from the menu
- Build with libnotify to show OSD properly
* Sat Jun 13 2015 sb73542@yahoo.com
- update to version 0.2.4
  - Added a GUI control for show-notifications
  - Added a configuration option "show-notifications"
  - Reconnect to the PA server if the connection is lost
  - Use volume-changed signal to update notifications
* Tue May 12 2015 gber@opensuse.org
- update to version 0.2.3
  - corrected copyright and author list
  - added OSD notifications
  - >100%% audio volume is now allowed (only when using a volume
    slider)
* Thu Mar 26 2015 gber@opensuse.org
- update to version 0.2.2
  - Fixed crashes&lockups with Gtk+-3.14
  - Icon fixes
  - Added plugin icon
  - Added required icons to tarball
* Mon Mar  9 2015 gber@opensuse.org
- update to version 0.2.1
  - incorrect mouse coordinate translation in the volume slider
  - crash on menu popup/popdown
* Thu Mar  5 2015 gber@opensuse.org
- update to version 0.2.0
  - Added a popup menu with a volume slider, mute item and an audio
    mixer command
  - Numerous build fixes
  - Documentation and description fixes
  - Switched to symbolic icons
  - Switched to gtk error message boxes
  - Updated text of GPL license
* Thu Feb 19 2015 gber@opensuse.org
- initial packaging
